Subject: Re: [PATCH] Documentation: reword --thin description

From: Stephen Boyd <[email-masked]>
Date: Wed, 10 Feb 2010 08:52:51 -0800

On 02/10/2010 08:07 AM, Nicolas Pitre wrote:
> Both the old and the new text are bollocks.
>
> There is no extra cycles involved here.  And linking this to a slow 
> connection is misleading.
>
> The point of --thin is to create a pack containing delta objects while 
> excluding the base objects they depend on when those objects are known 
> to exist in the receiver's repository already.  Because base objects 
> are usually significantly bigger than delta objects, this results in a 
> large reduction in the amount of data to transfer.

Thanks. Maybe this would more accurately describe the option?

Create a pack containing only delta objects when the base objects the
delta objects depend upon are present in the receiver's repository. This
typically results in less data being transferred. Default: on